<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Редактировать звонок</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.CALLS_READ %}
				<form id="call-edit" method="post" action="/calls/call/{{ call.id }}/edit/">
					{% csrf_token %}
					<div class="input-field disabled">
							<input value="{{ call.user }}">
							<span class="highlight"></span>
							<span class="bar"></span>
							<label>Сотрудник</label>
						</div>
					<div class="horizontal">
						<div class="material-select">
							<select name="clientId">
								{% for client in clients %}
									{% if call.client == client %}
										<option value="{{ client.id }}" selected="selected">{{ client }}</option>
									{% else %}
										<option value="{{ client.id }}">{{ client }}</option>
									{% endif %}
								{% endfor %}
							</select>
							<label for="select" class="control-label">Клиент</label><i class="bar"></i>
						</div>
						<button class="button smaller" id="goto-client" form="">Перейти к клиенту</button>
					</div>
					<div class="horizontal">
						<div class="material-select">
							<select name="modeId">
								{% for mode in modes %}
									{% if call.mode == mode %}
										<option value="{{ mode.id }}" selected="selected">{{ mode.name }}</option>
									{% else %}
										<option value="{{ mode.id }}">{{ mode.name }}</option>
									{% endif %}
								{% endfor %}
							</select>
							<label for="select" class="control-label">Тип звонка</label><i class="bar"></i>
						</div>
						<div class="input-field disabled">
							<input class="time">
							<span class="highlight"></span>
							<span class="bar"></span>
							<label>Дата</label>
						</div>
					</div>
					{% if record_exists %}
						<audio controls>
							<source src="/media/{{ call.id }}.mp3" type="audio/mpeg">
							Your browser does not support the audio element.
						</audio> 
					{% endif %}
					<div class="submit-container {% if not user.role.permissions.CALLS_EDIT %}disabled{% endif %}">
						<button id="call-delete" class="button" form="">Удалить</button>
						<button class="button" form="call-edit" type="submit">Сохранить</button>
					</div>
				</form>
				<script>
					var date = moment.unix({{ call.time }});
					$("form .time").val(date.format("DD.MM.YYYY"));
				</script>
			{% else %}
				<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
			{% endif %}
		</div>
	</div>
</div>
<script>
	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	var confirmed = false;
	$("button#call-delete").click(function(){  
		if (confirmed) {
			var posting = $.post('/calls/call/{{ call.id }}/delete/', {'csrfmiddlewaretoken': '{{ csrf_token }}'});
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		} else {
			$("button#call-delete").html("Вы уверены?");
			confirmed = true;
		}
	});

	$("button#goto-client").click(function() {
		var id = $('select[name=clientId]').find(":selected").val();
		modalGet('/clients/client/'+id+'/edit/');
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>